## org.eclipse.emf.ecore.sdo.impl
Class EDataGraphImpl.EDataObjectExternalizable

    java.lang.Object
      org.eclipse.emf.ecore.sdo.impl.EDataGraphImpl.EDataObjectExternalizable

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

Enclosing class:
  EDataGraphImpl

    public static class EDataGraphImpl.EDataObjectExternalizable

extends java.lang.Object
implements java.io.Externalizable

See Also:
  Serialized Form

Field Summary
`protected EDataGraph` `eDataGraph`
`protected EObject` `eObject`

Constructor Summary
`EDataGraphImpl.EDataObjectExternalizable()`
`EDataGraphImpl.EDataObjectExternalizable(EDataGraph eDataGraph, EObject eObject)`

Method Summary
`void` `readExternal(java.io.ObjectInput objectInput)`
`protected java.lang.Object` `readResolve()`
`void` `writeExternal(java.io.ObjectOutput objectOutput)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### eObject

    protected EObject eObject

### eDataGraph

    protected EDataGraph eDataGraph

Constructor Detail

### EDataGraphImpl.EDataObjectExternalizable

    public EDataGraphImpl.EDataObjectExternalizable()

### EDataGraphImpl.EDataObjectExternalizable

    public EDataGraphImpl.EDataObjectExternalizable(EDataGraph eDataGraph,
                                                    EObject eObject)

Method Detail

### writeExternal

    public void writeExternal(java.io.ObjectOutput objectOutput)
                       throws java.io.IOException

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`

### readExternal

    public void readExternal(java.io.ObjectInput objectInput)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### readResolve

    protected java.lang.Object readResolve()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.